Skip to main content
GET
/
api
/
datachecks
/
sqltests
/
v1
ListSqlTests
curl --request GET \
  --url https://developer.synq.io/api/datachecks/sqltests/v1 \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://developer.synq.io/api/datachecks/sqltests/v1"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://developer.synq.io/api/datachecks/sqltests/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "pageInfo": {
    "totalCount": 123,
    "count": 123,
    "lastId": "<string>"
  },
  "sqlTests": [
    {
      "id": "<string>",
      "name": "<string>",
      "platform": {
        "athena": {
          "instance": "<string>",
          "catalog": "<string>"
        }
      },
      "description": "<string>",
      "sqlExpression": "<string>",
      "recurrenceRule": "<string>",
      "annotations": [
        {
          "name": "<string>",
          "values": [
            "<string>"
          ]
        }
      ],
      "saveFailures": true,
      "template": {
        "identifier": {
          "airflowDag": {
            "integrationId": "<string>",
            "dagId": "<string>"
          }
        },
        "acceptedValuesTest": {
          "columnName": "<string>",
          "acceptedValues": [
            {
              "stringLiteral": "<string>",
              "expression": "<string>"
            }
          ],
          "selectColumns": [
            "<string>"
          ]
        }
      },
      "configId": "<string>",
      "timezone": "<string>",
      "evaluators": [
        {
          "id": "<string>",
          "name": "<string>",
          "sqlExpression": "<string>"
        }
      ],
      "inputTables": [
        {
          "fqn": {
            "objectName": "<string>",
            "instanceName": "<string>",
            "databaseName": "<string>",
            "schemaName": "<string>"
          },
          "tablePath": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

annotations.name
string
required

String key for the annotation.

Required string length: 1 - 50
annotations.values
string[]

Optional list of values that the annotation can carry.

Maximum array length: 20
Required string length: 1 - 50
integrationIds
string[]
ids
string[]
configIds
string[]
deprecated
configsFilter.ids
string[]
sources
enum<string>[]
Available options:
SOURCE_APP,
SOURCE_API
pagination.cursor
string

Opaque cursor token for the next page of results. If not provided, returns the first page. This is an encoded token that should be passed as-is from the previous PageInfo.last_id.

pagination.pageSize
integer<int32>

Maximum number of items to return in a single page. If not provided, defaults vary per API.

Required range: x >= 0

Response

200 - application/json

Success

pageInfo
PageInfo · object
required

Paging information

sqlTests
SqlTest · object[]